<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Function reference • ecocommons</title><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.1.3/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.1.3/bootstrap.bundle.min.js"></script><!-- Font Awesome icons --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/all.min.css" integrity="sha256-mmgLkCYLUQbXn0B1SRqzHar6dCnv9oZFPEC1g1cwlkk=" crossorigin="anonymous"><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/v4-shims.min.css" integrity="sha256-wZjR52fzng1pJHwx4aV2AO3yyTOXrcDW7jBpJtTwVxw=" crossorigin="anonymous"><!-- bootstrap-toc --><script src="https://cdn.rawgit.com/afeld/bootstrap-toc/v1.0.1/dist/bootstrap-toc.min.js"></script><!-- headroom.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/headroom.min.js" integrity="sha256-AsUX4SJE1+yuDu5+mAVzJbuYNPHj/WroHuZ8Ir/CkE0=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/jQuery.headroom.min.js" integrity="sha256-ZX/yNShbjqsohH1k95liqY9Gd8uOiE1S4vZc+9KQ1K4=" crossorigin="anonymous"></script><!-- clipboard.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.6/clipboard.min.js" integrity="sha256-inc5kl9MA1hkeYUt+EC3BhlIgyp/2jDIyBLS6k3UxPI=" crossorigin="anonymous"></script><!-- search --><script src="https://cdnjs.cloudflare.com/ajax/libs/fuse.js/6.4.6/fuse.js" integrity="sha512-zv6Ywkjyktsohkbp9bb45V6tEMoWhzFzXis+LrMehmJZZSys19Yxf1dopHx7WzIKxr5tK2dVcYmaCk2uqdjF4A==" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/autocomplete.js/0.38.0/autocomplete.jquery.min.js" integrity="sha512-GU9ayf+66Xx2TmpxqJpliWbT5PiGYxpaG8rfnBEk1LL8l1KGkRShhngwdXK1UgqhAzWpZHSiYPc09/NwDQIGyg==" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mark.js/8.11.1/mark.min.js" integrity="sha512-5CYOlHXGh6QpOFA/TeTylKLWfB3ftPsde7AnmhuitiTX4K5SqCLBeKro6sPS8ilsz1Q4NRx3v8Ko2IBiszzdww==" crossorigin="anonymous"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Function reference"><!-- mathjax --><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script><!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]--></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>
    

    <nav class="navbar fixed-top navbar-light navbar-expand-lg bg-light"><div class="container">
    
    <a class="navbar-brand me-2" href="../index.html">ecocommons</a>

    <small class="nav-text text-muted me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="">1.2.3</small>

    
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item">
  <a class="nav-link" href="../articles/ecocommons.html">Get started</a>
</li>
<li class="active nav-item">
  <a class="nav-link" href="../reference/index.html">Reference</a>
</li>
<li class="nav-item">
  <a class="nav-link" href="../news/index.html">Changelog</a>
</li>
      </ul><form class="form-inline my-2 my-lg-0" role="search">
        <input type="search" class="form-control me-sm-2" aria-label="Toggle navigation" name="search-input" data-search-index="../search.json" id="search-input" placeholder="Search for" autocomplete="off"></form>

      <ul class="navbar-nav"><li class="nav-item">
  <a class="external-link nav-link" href="https://gitlab.com/ecocommons-australia/ecocommons-platform/ecocommons/" aria-label="gitlab">
    <span class="fab fa fab fa-gitlab fa-lg"></span>
     
  </a>
</li>
      </ul></div>

    
  </div>
</nav><div class="container template-reference-index">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">
      <img src="" class="logo" alt=""><h1>Function reference</h1>
    </div>

    <div class="section level2">
      <h2 id="ec-modelling-functions">EC_modelling_* functions<a class="anchor" aria-label="anchor" href="#ec-modelling-functions"></a></h2>
      
      <p class="section-desc"></p><p>The EC_modelling_* family of functions perform model training, and generate evaluation metrics and predictions into the <code>output</code> directory.</p>

      
    </div><div id="" class="section level2">
      
      
      

      <dl><dt>
          
          <code><a href="EC_modelling_ann.html">EC_modelling_ann()</a></code> 
        </dt>
        <dd>Run an Artificial Neural Network (ANN) within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_bioclim.html">EC_modelling_bioclim()</a></code> 
        </dt>
        <dd>Run BioClim within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_brt.html">EC_modelling_brt()</a></code> 
        </dt>
        <dd>Run an Boosted Regression Tree (BRT) within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_circles.html">EC_modelling_circles()</a></code> 
        </dt>
        <dd>Run a Circles model within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_convhull.html">EC_modelling_convhull()</a></code> 
        </dt>
        <dd>Run a Convex Hull within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_cta.html">EC_modelling_cta()</a></code> 
        </dt>
        <dd>Run a Classification Tree Algorithm (CTA) within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_fda.html">EC_modelling_fda()</a></code> 
        </dt>
        <dd>Run a Flexible Discriminant Analysis (FDA) within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_gam.html">EC_modelling_gam()</a></code> 
        </dt>
        <dd>Run a Generalized Additive Model (GAM) within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_gbm.html">EC_modelling_gbm()</a></code> 
        </dt>
        <dd>Run an Generalized Boosting Model (GBM) within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_geodist.html">EC_modelling_geodist()</a></code> 
        </dt>
        <dd>Run Geographic Distance within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_geoidw.html">EC_modelling_geoidw()</a></code> 
        </dt>
        <dd>Run an Inverse Distance Weighted Model within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_glm.html">EC_modelling_glm()</a></code> 
        </dt>
        <dd>Run a Generalized Linear Model (GLM) within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_mars.html">EC_modelling_mars()</a></code> 
        </dt>
        <dd>Run Multivariate Adaptive Regression Splines (MARS) within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_maxent.html">EC_modelling_maxent()</a></code> 
        </dt>
        <dd>Run an Maximum Entropy Modeling (MaxEnt) within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_maxent_archive.html">EC_modelling_maxent_archive()</a></code> 
        </dt>
        <dd>Run an Maximum Entropy Modeling (MaxEnt) within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_rf.html">EC_modelling_rf()</a></code> 
        </dt>
        <dd>Run a Random Forest (RF) within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_sptraits_CTA.html">EC_modelling_sptraits_CTA()</a></code> 
        </dt>
        <dd>Run a species traits - Classification Tree Algorithm (CTA) experiment within
EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_sptraits_GAM.html">EC_modelling_sptraits_GAM()</a></code> 
        </dt>
        <dd>Run a species traits - Generalized Additive Model (GAM) experiment within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_sptraits_GLM.html">EC_modelling_sptraits_GLM()</a></code> 
        </dt>
        <dd>Run a species traits - Generalized Linear Model (GLM) experiment within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_sptraits_GLMM.html">EC_modelling_sptraits_GLMM()</a></code> 
        </dt>
        <dd>Run a species traits - Generalized Linear Mixed Model (GLMM) experiment within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_sptraits_traitdiff.html">EC_modelling_sptraits_traitdiff()</a></code> 
        </dt>
        <dd>Function to to test  how traits differ among species (requires multiple input
species).</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_sre.html">EC_modelling_sre()</a></code> 
        </dt>
        <dd>Run a Surface Range Envelope (SRE) within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_voronoihull.html">EC_modelling_voronoihull()</a></code> 
        </dt>
        <dd>Run a Voronoi Hull Model within EcoCommons</dd>
      </dl></div><div class="section level2">
      <h2 id="other">Other<a class="anchor" aria-label="anchor" href="#other"></a></h2>
      
      

      
    </div><div id="" class="section level2">
      
      
      

      <dl><dt>
          
          <code><a href="EC_SDM_geoconstrained.html">EC_SDM_geoconstrained()</a></code> 
        </dt>
        <dd>Create and check constraint region of interest</dd>
      </dl><dl><dt>
          
          <code><a href="EC_assign_crs.html">EC_assign_crs()</a></code> 
        </dt>
        <dd>Function to attempt to assign an EPSG code</dd>
      </dl><dl><dt>
          
          <code><a href="EC_cc_in_proj.html">EC_cc_in_proj()</a></code> 
        </dt>
        <dd>Load raster and assign projection (crs) if missing</dd>
      </dl><dl><dt>
          
          <code><a href="EC_check_computed.html">EC_check_computed()</a></code> 
        </dt>
        <dd>Check if the model has been computed</dd>
      </dl><dl><dt>
          
          <code><a href="EC_check_new_levels.html">EC_check_new_levels()</a></code> 
        </dt>
        <dd>Check for new levels</dd>
      </dl><dl><dt>
          
          <code><a href="EC_check_new_levels_unconstrained.html">EC_check_new_levels_unconstrained()</a></code> 
        </dt>
        <dd>Temp work around but will refactor into EC_check_new_levels so it can handle
both dataset$ predictors</dd>
      </dl><dl><dt>
          
          <code><a href="EC_check_set_epsg_code.html">EC_check_set_epsg_code()</a></code> 
        </dt>
        <dd>Check EPSG code</dd>
      </dl><dl><dt>
          
          <code><a href="EC_constraints_from_points.html">EC_constraints_from_points()</a></code> 
        </dt>
        <dd>Create a constrained region from a set of points</dd>
      </dl><dl><dt>
          
          <code><a href="EC_drop_unused_levels.html">EC_drop_unused_levels()</a></code> 
        </dt>
        <dd>Drop unused levels function</dd>
      </dl><dl><dt>
          
          <code><a href="EC_format_biomod2.html">EC_format_biomod2()</a></code> 
        </dt>
        <dd>Format user input data</dd>
      </dl><dl><dt>
          
          <code><a href="EC_geojson_to_sf.html">EC_geojson_to_sf()</a></code> 
        </dt>
        <dd>Convert a geojson string to an sf object</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_ann.html">EC_modelling_ann()</a></code> 
        </dt>
        <dd>Run an Artificial Neural Network (ANN) within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_bioclim.html">EC_modelling_bioclim()</a></code> 
        </dt>
        <dd>Run BioClim within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_brt.html">EC_modelling_brt()</a></code> 
        </dt>
        <dd>Run an Boosted Regression Tree (BRT) within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_circles.html">EC_modelling_circles()</a></code> 
        </dt>
        <dd>Run a Circles model within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_convhull.html">EC_modelling_convhull()</a></code> 
        </dt>
        <dd>Run a Convex Hull within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_cta.html">EC_modelling_cta()</a></code> 
        </dt>
        <dd>Run a Classification Tree Algorithm (CTA) within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_fda.html">EC_modelling_fda()</a></code> 
        </dt>
        <dd>Run a Flexible Discriminant Analysis (FDA) within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_gam.html">EC_modelling_gam()</a></code> 
        </dt>
        <dd>Run a Generalized Additive Model (GAM) within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_gbm.html">EC_modelling_gbm()</a></code> 
        </dt>
        <dd>Run an Generalized Boosting Model (GBM) within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_geodist.html">EC_modelling_geodist()</a></code> 
        </dt>
        <dd>Run Geographic Distance within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_geoidw.html">EC_modelling_geoidw()</a></code> 
        </dt>
        <dd>Run an Inverse Distance Weighted Model within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_glm.html">EC_modelling_glm()</a></code> 
        </dt>
        <dd>Run a Generalized Linear Model (GLM) within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_mars.html">EC_modelling_mars()</a></code> 
        </dt>
        <dd>Run Multivariate Adaptive Regression Splines (MARS) within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_maxent.html">EC_modelling_maxent()</a></code> 
        </dt>
        <dd>Run an Maximum Entropy Modeling (MaxEnt) within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_maxent_archive.html">EC_modelling_maxent_archive()</a></code> 
        </dt>
        <dd>Run an Maximum Entropy Modeling (MaxEnt) within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_rf.html">EC_modelling_rf()</a></code> 
        </dt>
        <dd>Run a Random Forest (RF) within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_sptraits_CTA.html">EC_modelling_sptraits_CTA()</a></code> 
        </dt>
        <dd>Run a species traits - Classification Tree Algorithm (CTA) experiment within
EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_sptraits_GAM.html">EC_modelling_sptraits_GAM()</a></code> 
        </dt>
        <dd>Run a species traits - Generalized Additive Model (GAM) experiment within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_sptraits_GLM.html">EC_modelling_sptraits_GLM()</a></code> 
        </dt>
        <dd>Run a species traits - Generalized Linear Model (GLM) experiment within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_sptraits_GLMM.html">EC_modelling_sptraits_GLMM()</a></code> 
        </dt>
        <dd>Run a species traits - Generalized Linear Mixed Model (GLMM) experiment within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_sptraits_traitdiff.html">EC_modelling_sptraits_traitdiff()</a></code> 
        </dt>
        <dd>Function to to test  how traits differ among species (requires multiple input
species).</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_sre.html">EC_modelling_sre()</a></code> 
        </dt>
        <dd>Run a Surface Range Envelope (SRE) within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_modelling_voronoihull.html">EC_modelling_voronoihull()</a></code> 
        </dt>
        <dd>Run a Voronoi Hull Model within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_options_ann.html">EC_options_ann()</a></code> 
        </dt>
        <dd>Internal function to create a list of options for EC_modelling_ann</dd>
      </dl><dl><dt>
          
          <code><a href="EC_options_brt.html">EC_options_brt()</a></code> 
        </dt>
        <dd>Internal function to create a list of options for EC_modelling_brt</dd>
      </dl><dl><dt>
          
          <code><a href="EC_options_gam.html">EC_options_gam()</a></code> 
        </dt>
        <dd>Set model options for a biomod2 GAM model using input params file</dd>
      </dl><dl><dt>
          
          <code><a href="EC_options_gbm.html">EC_options_gbm()</a></code> 
        </dt>
        <dd>EC_options_gbm</dd>
      </dl><dl><dt>
          
          <code><a href="EC_options_glm.html">EC_options_glm()</a></code> 
        </dt>
        <dd>Set parameters for running the GLM algorithm</dd>
      </dl><dl><dt>
          
          <code><a href="EC_options_mars.html">EC_options_mars()</a></code> 
        </dt>
        <dd>Set specific parameters to run the MARS algorithm</dd>
      </dl><dl><dt>
          
          <code><a href="EC_options_rf.html">EC_options_rf()</a></code> 
        </dt>
        <dd>Set specific parameters to run random forest algorithm</dd>
      </dl><dl><dt>
          
          <code><a href="EC_plot_VIP_ann.html">EC_plot_VIP_ann()</a></code> 
        </dt>
        <dd>Variable importance plot and text summary for ANN models</dd>
      </dl><dl><dt>
          
          <code><a href="EC_plot_VIP_gam.html">EC_plot_VIP_gam()</a></code> 
        </dt>
        <dd>Plot variable importance for GAM model</dd>
      </dl><dl><dt>
          
          <code><a href="EC_plot_VIP_gbm.html">EC_plot_VIP_gbm()</a></code> 
        </dt>
        <dd>EC_plot_VIP_gbm</dd>
      </dl><dl><dt>
          
          <code><a href="EC_plot_VIP_glm.html">EC_plot_VIP_glm()</a></code> 
        </dt>
        <dd>Plotting Variable Importance in Generalized Linear Models (GLMs)</dd>
      </dl><dl><dt>
          
          <code><a href="EC_plot_VIP_mars.html">EC_plot_VIP_mars()</a></code> 
        </dt>
        <dd>EC_plot_VIP_mars</dd>
      </dl><dl><dt>
          
          <code><a href="EC_plot_VIP_rf.html">EC_plot_VIP_rf()</a></code> 
        </dt>
        <dd>Plot variable importance for random forest model</dd>
      </dl><dl><dt>
          
          <code><a href="EC_plot_categ_BG.html">EC_plot_categ_BG()</a></code> 
        </dt>
        <dd>Plot categorical predictor variables for background data</dd>
      </dl><dl><dt>
          
          <code><a href="EC_plot_categ_OCC.html">EC_plot_categ_OCC()</a></code> 
        </dt>
        <dd>Plot categorical predictor variables for the occurrence data</dd>
      </dl><dl><dt>
          
          <code><a href="EC_plot_contin_BG.html">EC_plot_contin_BG()</a></code> 
        </dt>
        <dd>Plot continuous variables for the background data</dd>
      </dl><dl><dt>
          
          <code><a href="EC_plot_contin_OCC.html">EC_plot_contin_OCC()</a></code> 
        </dt>
        <dd>Plot continuous variables for occurrence data</dd>
      </dl><dl><dt>
          
          <code><a href="EC_plot_response.html">EC_plot_response()</a></code> 
        </dt>
        <dd>Plot the response curve of a model</dd>
      </dl><dl><dt>
          
          <code><a href="EC_plot_response_curve.html">EC_plot_response_curve()</a></code> 
        </dt>
        <dd>Plot response curves for maxent model</dd>
      </dl><dl><dt>
          
          <code><a href="EC_projecting_cc.html">EC_projecting_cc()</a></code> 
        </dt>
        <dd>Run a Climate Change (CC) projection within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_projecting_ensemble.html">EC_projecting_ensemble()</a></code> 
        </dt>
        <dd>Run an Ensemble Analysis experiment within EcoCommons</dd>
      </dl><dl><dt>
          
          <code><a href="EC_range_change_metric.html">EC_range_change_metric()</a></code> 
        </dt>
        <dd>Compute and save species range change metric as geotif file</dd>
      </dl><dl><dt>
          
          <code><a href="EC_raster_categorical.html">EC_raster_categorical()</a></code> 
        </dt>
        <dd>Handling for categorical rasters</dd>
      </dl><dl><dt>
          
          <code><a href="EC_raster_resampled.html">EC_raster_resampled()</a></code> 
        </dt>
        <dd>Resample and crop rasters to a comment extent and resolution</dd>
      </dl><dl><dt>
          
          <code><a href="EC_raster_resolution.html">EC_raster_resolution()</a></code> 
        </dt>
        <dd>Calculate the resolution to resample to based on resampling flag and input
rasters</dd>
      </dl><dl><dt>
          
          <code><a href="EC_raster_stack.html">EC_raster_stack()</a></code> 
        </dt>
        <dd>Stack raster input files from user environment</dd>
      </dl><dl><dt>
          
          <code><a href="EC_read_json.html">EC_read_json()</a></code> <code><a href="EC_read_json.html">print(<i>&lt;model_parameters&gt;</i>)</a></code> 
        </dt>
        <dd>Local function for importing json files</dd>
      </dl><dl><dt>
          
          <code><a href="EC_read_raster.html">EC_read_raster()</a></code> 
        </dt>
        <dd>Load raster and assign projection (crs) if missing.</dd>
      </dl><dl><dt>
          
          <code><a href="EC_read_sp.html">EC_read_sp()</a></code> 
        </dt>
        <dd>Read species presence/absence data
To run Species Distribution Models (SDMs) we first need to set up the
necessary dataset. This script aims to check if the species geographic
data is on the right format to be read. Latitude and longitude
should be numeric, and month and year information should be kept</dd>
      </dl><dl><dt>
          
          <code><a href="EC_save.html">EC_save()</a></code> 
        </dt>
        <dd>Save data in output directory as a .rds file</dd>
      </dl><dl><dt>
          
          <code><a href="EC_save_BIOMOD_model_eval.html">EC_save_BIOMOD_model_eval()</a></code> 
        </dt>
        <dd>Save evaluation models for all statistics in csv format and graphs</dd>
      </dl><dl><dt>
          
          <code><a href="EC_save_dismo_eval.html">EC_save_dismo_eval()</a></code> 
        </dt>
        <dd>Save a model evaluation</dd>
      </dl><dl><dt>
          
          <code><a href="EC_save_model_eval.html">EC_save_model_eval()</a></code> 
        </dt>
        <dd>Save evaluation models for all statistics in csv format</dd>
      </dl><dl><dt>
          
          <code><a href="EC_save_png.html">EC_save_png()</a></code> 
        </dt>
        <dd>Save pdf</dd>
      </dl><dl><dt>
          
          <code><a href="EC_save_projection.html">EC_save_projection()</a></code> 
        </dt>
        <dd>Save projection</dd>
      </dl><dl><dt>
          
          <code><a href="EC_save_statistics.html">EC_save_statistics()</a></code> 
        </dt>
        <dd>Save an evaluation model for all statistics</dd>
      </dl><dl><dt>
          
          <code><a href="EC_set_seed.html">EC_set_seed()</a></code> 
        </dt>
        <dd>Set seed as specified; random generated seed if not specified</dd>
      </dl><dl><dt>
          
          <code><a href="EC_threshold_map.html">EC_threshold_map()</a></code> 
        </dt>
        <dd>EC_threshold_map</dd>
      </dl><dl><dt>
          
          <code><a href="EC_write_csv.html">EC_write_csv()</a></code> 
        </dt>
        <dd>Save CSV Data in <code>outputdir</code></dd>
      </dl><dl><dt>
          
          <code><a href="add_stopwatch.html">add_stopwatch()</a></code> 
        </dt>
        <dd>add_stopwatch wrapper function // function operator</dd>
      </dl><dl><dt>
          
          <code><a href="check_factors_maxent.html">check_factors_maxent()</a></code> 
        </dt>
        <dd>Check for categorical layers in a raster stack before running Maxent</dd>
      </dl><dl><dt>
          
          <code><a href="clean_outputs.html">clean_outputs()</a></code> 
        </dt>
        <dd>Clean outputs</dd>
      </dl><dl><dt>
          
          <code><a href="decorrupt_biomod_model.html">decorrupt_biomod_model()</a></code> 
        </dt>
        <dd>Decorrupt a BIOMOD.models.out object</dd>
      </dl><dl><dt>
          
          <code><a href="null_random.html">null_random()</a></code> 
        </dt>
        <dd>modified to fix bug causing fail when using just a single predictor</dd>
      </dl><dl><dt>
          
          <code><a href="parameter.as.string.html">parameter.as.string()</a></code> 
        </dt>
        <dd>Provides simplified names for all parameters</dd>
      </dl><dl><dt>
          
          <code><a href="project_model_current.html">project_model_current()</a></code> 
        </dt>
        <dd>project_model_current</dd>
      </dl><dl><dt>
          
          <code><a href="project_model_current_unconstrained.html">project_model_current_unconstrained()</a></code> 
        </dt>
        <dd>project_model_current_unconstrained</dd>
      </dl><dl><dt>
          
          <code><a href="reset_json_paths.html">reset_json_paths()</a></code> 
        </dt>
        <dd>Test function to reset file paths to the local machine</dd>
      </dl><dl><dt>
          
          <code><a href="start_watch.html">start_watch()</a></code> 
        </dt>
        <dd>start_watch</dd>
      </dl><dl><dt>
          
          <code><a href="stop_watch.html">stop_watch()</a></code> 
        </dt>
        <dd>stop_watch</dd>
      </dl></div>
  </main><aside class="col-md-3"><nav id="toc"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p></p><p>Developed by EcoCommons Platform.</p>
</div>

<div class="pkgdown-footer-right">
  <p></p><p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.0.6.</p>
</div>

    </footer></div>

  

  

  </body></html>

